Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1242)

Issue 566920044: Replace deprecated functions from string module (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 3 weeks ago by hahnjo
Modified:
6 months ago
Reviewers:
dak, Malte Meyn
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Replace deprecated functions from string module These methods have been deprecated since at least Python 2.4 and their replacements are available since at least that version. Individual changes: * Replace string.atoi() by int() * Replace string.split() by str.split() * Replace string.join() by sep.join() * Replace string.strip() by str.strip() * Replace string.replace() by str.replace() * Drop now unused 'import string'

Patch Set 1 #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+33 lines, -41 lines) Patch
M python/convertrules.py View 3 chunks +3 lines, -3 lines 1 comment Download
M python/musicexp.py View 10 chunks +10 lines, -11 lines 2 comments Download
M python/musicxml.py View 5 chunks +4 lines, -5 lines 0 comments Download
M python/utilities.py View 2 chunks +1 line, -2 lines 0 comments Download
M scripts/auxiliar/fixcc.py View 2 chunks +1 line, -2 lines 0 comments Download
M scripts/build/install.py View 2 chunks +1 line, -2 lines 0 comments Download
M scripts/build/text2html.py View 1 chunk +0 lines, -1 line 0 comments Download
M scripts/lilymidi.py View 1 chunk +1 line, -2 lines 0 comments Download
M scripts/musicxml2ly.py View 11 chunks +12 lines, -13 lines 0 comments Download

Messages

Total messages: 9
Malte Meyn
For someone who doesn’t know python two questions come up: 1. Why do you sometimes ...
8 months, 3 weeks ago (2019-10-23 21:22:16 UTC) #1
Malte Meyn
On 2019/10/23 21:22:16, Malte Meyn wrote: > 2. Is a space (" " or ' ...
8 months, 3 weeks ago (2019-10-23 21:29:27 UTC) #2
hahnjo
On 2019/10/23 21:22:16, Malte Meyn wrote: > For someone who doesn’t know python two questions ...
8 months, 3 weeks ago (2019-10-24 06:33:50 UTC) #3
dak
jonas.hahnfeld@gmail.com writes: > Reviewers: Malte Meyn, > > Message: > On 2019/10/23 21:22:16, Malte Meyn ...
8 months, 3 weeks ago (2019-10-24 07:36:50 UTC) #4
hahnjo
On 2019/10/24 07:36:50, dak wrote: > mailto:jonas.hahnfeld@gmail.com writes: > > > Reviewers: Malte Meyn, > ...
8 months, 3 weeks ago (2019-10-24 07:40:30 UTC) #5
dak
jonas.hahnfeld@gmail.com writes: > On 2019/10/24 07:36:50, dak wrote: > >> git cl upload allows you ...
8 months, 3 weeks ago (2019-10-24 11:30:21 UTC) #6
dak
https://codereview.appspot.com/566920044/diff/549120043/python/convertrules.py File python/convertrules.py (right): https://codereview.appspot.com/566920044/diff/549120043/python/convertrules.py#newcode3898 python/convertrules.py:3898: mods = str.join (re.findall ("\n(" + wordsyntax + r")\s*=\s*\\with(?:\s|\\|\{)") ...
6 months ago (2020-01-12 01:13:51 UTC) #7
dak
On 2020/01/12 01:13:51, dak wrote: > https://codereview.appspot.com/566920044/diff/549120043/python/convertrules.py > File python/convertrules.py (right): > > https://codereview.appspot.com/566920044/diff/549120043/python/convertrules.py#newcode3898 > ...
6 months ago (2020-01-12 02:19:20 UTC) #8
hahnjo
6 months ago (2020-01-12 10:24:05 UTC) #9
Message was sent while issue was closed.
On 2020/01/12 02:19:20, dak wrote:
> On 2020/01/12 01:13:51, dak wrote:
> >
https://codereview.appspot.com/566920044/diff/549120043/python/convertrules.py
> > File python/convertrules.py (right):
> > 
> >
>
https://codereview.appspot.com/566920044/diff/549120043/python/convertrules.p...
> > python/convertrules.py:3898: mods = str.join (re.findall ("\n(" + wordsyntax
+
> > r")\s*=\s*\\with(?:\s|\\|\{)")
> >   File
> > "/usr/local/tmp/lilypond/out/lib/lilypond/current/python/convertrules.py",
> line
> > 3892, in conv
> >     mods = str.join (re.findall ("\n(" + wordsyntax +
> > r")\s*=\s*\\with(?:\s|\\|\{)")
> > TypeError: findall() takes at least 2 arguments (1 given)
> > 
> > I'd call that a case of insufficient testing...  Sometimes our tests don't
> cover
> > everything and one has to check out things on one's own.
> 
> Just pushed a fix to staging.

Whoops, thanks for handling this!
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b